header{
    background-color: #fff;
    width: 100%;
}
.middle-nav{
    min-height: 77px;
    background-color: #fff;
}
.top-nav {
    min-height: 68px;
    background-color: #B11A83;
}

.navbar-brand img {
    width: 113px !important;
    height: 42px !important;
}

ul li{
    display: inline-block;
    list-style: none;
}
li a.nav-link{
    cursor: pointer;
    color: rgba(20, 20, 20, 0.6);
    transition: all 0.3s ease-in-out;
}
li a.nav-link:hover{
    color: rgba(20, 20, 20, 0.8);
}
.user_link li a{
   text-align: center;
}
.user_link span{
    line-height: 1.5;
}
.user_link i{
    font-size: 22px;
    padding-top: 0;
    line-height: 1;
    padding-bottom: 0;
}
/* .btn-merchant.btn-primary:hover{ */
.btn-merchant.btn-primary{
    font-size: 14px;
    padding: 4px 17px;
    line-height: 28px;
    font-weight: 600;
    border: 1px solid #fff;
}
.btn-balance i{
    color: rgba(129, 63, 16, 0.6);
    font-weight: 600;
    font-size: 16px;
}
.btn-balance{
    background: linear-gradient(229.4deg, #FCDB4B 13.21%, #F2873B 94.94%);
    font-size: 14px;
    padding: 8px;
    line-height: 20px;
    color: #813F10;
    font-weight: 600;
    width: 116px;
    white-space: nowrap;
}
.search-deal-icon{
    top: 1px;
    right: 5px;
    border-bottom-right-radius: 10px;
    border-top-right-radius: 10px;
    min-height: 96%;
    max-height: 96%;
    color: #b11a83;
    border: none;
    background: #fff;
    font-size: 20px;
    padding: 2px 20px;
}

.btn-light{
    border: 1px solid rgba(177, 26, 131, 0.5) !important;
    border-radius: 5px;
}
.fa-location-dot{
    color: #b11a83
} 
.fa-search{
    color: #b11a83;
}
.angle-down-icon .fa-angle-down{
    color: #3F2960;
}
.angle-down-icon{
    left: unset !important;
    right: 1px;
}
.angle-down-icon,
.location-dot-icon{
    top: 0px;
    left: 5px;
    border-bottom-left-radius: 6px;
    border-top-left-radius: 6px;
    min-height: 98%;
    max-height: 98%;
    color: #fff;
    border: none;
    background: transparent;
    font-size: 20px;
    padding: 2px 12px;
}

#mobileMenu{
    font-size: 2em;
    font-weight: 800;
    z-index: 111;
    cursor: pointer;
    text-align: center;
    transition: all 0.5s;
    -webkit-transition: all 0.25s;
    display: block
}
#mobileMenu:hover{
    transform: rotate(90deg);
    color: #9D036E;
}
#mobilePanel{
    width: 100%;
    height: 100vh;
    top: 0.1rem;
    left: -400px;
    overflow:hidden;
    background-color: white;
    box-shadow: 5px 5px 10px grey;
    position: fixed;
    z-index: 99999;
    transition: all 0.25s;
    -webkit-transition: all 0.25s; 
    display: none;
}
#mobilePanel .mobilePanel_header{
    min-height: 45px;
    border-bottom: 1px solid #d9d9d9b3;
    display: flex;
    align-items: center;
}
#mobilePanel .mobilePanel_header span{
    color: #000;
    font-size: 35px;
}
#mobilePanel .mobilePanel_footer{
    border-top: 1px solid #d9d9d9b3;
    color: #B11A83;
    font-size: 10px;
}
#exit{
    position: absolute;
    right: 10px;
    padding: 0px;
    top: 0.5rem;
    font-size: 4em;
    color: black;
    font-weight: 500;
    cursor: pointer;
    transition: all 0.25s;
    -webkit-transition: all 0.25s;
}
#exit:hover{
    color:#9D036E;
}

#mobilePanel.enter{
    /* opacity: 1; */
    left: 0;
    display: block;
}
#mobilePanel .banner_category-list{
    background: #fff;
}
#mobilePanel .banner_category-list h6{
    padding: 2rem 2rem 1rem;
}
#mobilePanel .banner_category-list ul{
    display: flex;
    flex-direction: column;
    list-style: none;
    color:#000;
    overflow: auto;
    max-height: 70vh;
}
#mobilePanel .banner_category-list ul li{
    padding: 0 2rem;
}

#mobileMenu{
    display: none
}

.flying-menu{
    padding: 1.5rem 0;   
}
.flying-menu .category-menu :is(h6, li){
    padding: 0 2rem;   
}

.mobile_view .form-noborder input{
    border-color: #C0CCDA;
    color: #32353ec9;
    border-radius: 10px;
    font-size: 14px;
    padding-left: 35px;
    padding-right: 30px;
    line-height: 1.8;
    min-height: 39px;
    background-color: #fff;
}
@media screen and (max-width:1024px){
    .btn-merchant{
        display: none !important;
    }
}


@media screen and (max-width:768px) {
    .btn-merchant {
        display: none !important;
    }
    .search-div{
        display: none !important;
    }
    .middle-nav {
        min-height: 40px;
    }
    .middle-nav .container {
        justify-content: flex-start;
    }
    #mobileMenu{
        display: flex !important;
        align-items: center;
    }
    .btn-balance{
        display: none;
    }
  }

/* new header version 2.0 */
.nav-link.custom-nav-link {
    display: flex;
    background-color: #000;
    width: 30px;
    height: 30px;
    border-radius: 50px;
    justify-content: center;
    align-items: center;
    color: #fff;
    position: relative;
}

.nav-item .noti-badge {
    position: absolute;
    top: 0;
    right: -6px;
    background-color: red;
    width: 14px;
    height: 14px;
    border-radius: 50px;
    color: #fff;
    text-align: center;
    font-size: 8px;
    font-weight: 600;
    display: flex;
    justify-content: center;
    align-items: center;
}
ul.category-list {
    max-height: 400px;
    overflow: auto;
}
